class puppet_enterprise::mcollective::server(
  $activemq_brokers            = $puppet_enterprise::params::activemq_brokers,
  $activemq_heartbeat_interval = 120,
  $mco_identity                = $puppet_enterprise::params::mco_identity,
  $mco_registerinterval        = $puppet_enterprise::params::mco_registerinterval,
  $stomp_password              = $puppet_enterprise::params::stomp_password,
  $stomp_port                  = $puppet_enterprise::mcollective_middleware_port,
  $stomp_user                  = $puppet_enterprise::params::stomp_user,
) inherits puppet_enterprise {
  include puppet_enterprise::mcollective::server::plugins
  include puppet_enterprise::mcollective::server::facter
  include puppet_enterprise::mcollective::server::logs
  include puppet_enterprise::mcollective::server::certs


  # Manage the MCollective server configuration
  # Template uses:
  # - $activemq_brokers
  # - $activemq_heartbeat_interval
  # - $mco_audit_log_file
  # - $mco_etc
  # - $mco_identity
  # - $mco_plugin_libdir
  # - $mco_registerinterval
  # - $mco_server_log_file
  # - $mco_server_name
  # - $mco_ssl_dir
  # - $stomp_password
  # - $stomp_port
  # - $stomp_user
  file { "${puppet_enterprise::params::mco_etc}/server.cfg":
    content => template('puppet_enterprise/mcollective/server.cfg.erb'),
    mode    => '0660',
    notify  => Service['pe-mcollective'],
  }

  include puppet_enterprise::mcollective::service
}
